Summary: The uucp utility for copying files between systems.
Name: uucp
Version: 1.06.1
Release: 23mdk
License: GPL
Group: Networking/File transfer
Source0: ftp://prep.ai.mit.edu/pub/gnu/uucp-1.06.1.tar.bz2
Source1: uucp.log
Patch0: uucp-1.06.1-misc.patch.bz2
Patch1: uucp-1.06.1-uureroute.patch.bz2
Patch2: uucp-perl.patch.bz2
Patch3: uucp-build-asnonroot.patch.bz2
Patch4: uucp-1.06.1-sigfpe.patch.bz2
# (fg) 10000918 Patch for mandir and infodir...
Patch5: uucp-FHS-fix.patch.bz2
Patch6: uucp-1.06.2-security.patch.bz2
Patch7: uucp-1.06.1-64bit-fixes.patch.bz2
Prereq: fileutils /sbin/install-info
BuildRequires:	texinfo
Buildroot: %{_tmppath}/uucp-root
Prereq: rpm-helper

%description
The uucp command copies files between systems.  Uucp is primarily used
by remote machines downloading and uploading email and news files to
local machines.

Install the uucp package if you need to use uucp to transfer files
between machines.

%prep
%setup -q
%patch -p1
%patch1 -p1
#?? not used %patch2
%patch3 -p1
%patch4 -p0
%patch5 -p1
%patch6 -p1 -b .security
%patch7 -p1 -b .64bit-fixes

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS=-s ./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man[18]
make prefix="$RPM_BUILD_ROOT/%{_prefix}" install install-info
#move and gzip info files

mkdir -p $RPM_BUILD_ROOT/var/spool/uucp
mkdir -p $RPM_BUILD_ROOT/var/spool/uucppublic
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/uucp/oldconfig

rm -rf $RPM_BUILD_ROOT/var/log/uucp
mkdir -p $RPM_BUILD_ROOT/var/log/uucp

mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/uucp
ln -sf ../../sbin/uucico $RPM_BUILD_ROOT/%{_prefix}/lib/uucp
    
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/logrotate.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/uucp

# Create ghost files
touch $RPM_BUILD_ROOT/var/log/uucp/{Log,Stats,Debug}

# the following is kind of gross, but it is effective
for i in dial passwd port dialcode sys call ; do
cat > $RPM_BUILD_ROOT/etc/uucp/$i <<EOF 
# This is an example of a $i file. This file have the syntax compatible
# with Taylor UUCP (not HDB nor anything else). Please check uucp
# documentation if you are not sure how Taylor config files are supposed to 
# look like. Edit it as appropriate for your system.

# Everything after a '#' character is a comment.
EOF
done

%clean
rm -rf $RPM_BUILD_ROOT

%post
# Create initial log files so that logrotate doesn't complain
for n in Log Stats Debug; do
	[ -f /var/log/uucp/$n ] || touch /var/log/uucp/$n
done

%{_install_info uucp.info}
# These permissions have to be synced with below %%files
%create_ghostfile /var/log/uucp/Log uucp uucp 644
%create_ghostfile /var/log/uucp/Stats uucp uucp 644
%create_ghostfile /var/log/uucp/Debug uucp uucp 640

%preun
%{_remove_install_info uucp.info}

%files
%defattr(-,root,root,755)
%doc README COPYING ChangeLog MANIFEST NEWS
%doc sample contrib
%attr(-,uucp,uucp) %dir /var/spool/uucp
%attr(-,uucp,uucp) %dir /var/spool/uucppublic
%attr(775,uucp,uucp) %dir %{_sysconfdir}/uucp
%{_infodir}/uucp.info*
%{_sbindir}/uuchk
%{_sbindir}/uuconv
%{_sbindir}/uusched
%attr(6555,uucp,uucp) %{_sbindir}/uucico
%attr(6555,uucp,uucp) %{_sbindir}/uuxqt
%attr(-,uucp,uucp) %{_bindir}/*
%{_mandir}/*/*
/usr/lib/uucp/uucico
%attr(-,uucp,uucp) %dir /var/log/uucp
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/uucp
%attr(644,uucp,uucp) %ghost /var/log/uucp/Log
%attr(644,uucp,uucp) %ghost /var/log/uucp/Stats
%attr(600,uucp,uucp) %ghost /var/log/uucp/Debug
%config(noreplace) %{_sysconfdir}/uucp/dial
%config(noreplace) %{_sysconfdir}/uucp/dialcode
%config(noreplace) %{_sysconfdir}/uucp/port
%config(noreplace) %{_sysconfdir}/uucp/passwd
%config(noreplace) %{_sysconfdir}/uucp/sys
%config(noreplace) %{_sysconfdir}/uucp/call

%changelog
* Thu Sep 04 2003 Florin <florin@mandrakesoft.com> 1.06.1-23mdk
- change the %_sysconfdir dir permissions to 775 

* Thu Apr 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.06.1-22mdk
- ship with uusched
- Patch7: 64-bit fixes
- revert s/fileutils/coreutils/
- leave uucico symlink in %{_prefix}/lib/uucp/

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06.1-21mdk
- rpmlint fixes
- requires s/fileutils/coreutils/
- Prereq: rpm-helper

* Thu Jun  6 2002 Stefan van der Eijk <stefan@eijk.nu> 1.06.1-20mdk
- BuildRequires
- Copyright --> License

* Tue Sep 11 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.06.1-19mdk
- apply security fix to close local root compromise

* Tue Mar 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06.1-18mdk
- remove all references to %%RPM_SOURCE_DIR
- remove html file build from texi file since info files are already
  here and remove requires accordingly

* Mon Sep 18 2000 Francis Galiegue <fg@mandrakesoft.com> 1.06.1-17mdk
- BM
- Many spec file fixes
- Really let spec helper do its job...
- Remove /etc/uucp/oldconfig, it's useless unless you install from the
  tarball...

* Tue Aug 29 2000 Etienne Faure <etienne@mandrakesoft.com> 1.06.1-16mdk
- use _mandir & _infodir macros

* Mon Jul 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.06.1-15mdk
- fix log dirs permissions

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.06.1-14mdk
- Applied some RH 6.2 patches
- use spec-helper !!!

* Tue Aug 17 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- the info pages are bzip2'ed, changed the %post and %preun accordingly
- info pages where gziped then bzip2'ed (*.gz.bz2) :-\ corrected

* Fri Aug 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 info

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 19)

* Tue Dec 22 1998 Bill Nottingham <notting@redhat.com>
- expunge /usr/local/bin/perl reference in docs

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Tue May 05 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sat Apr 11 1998 Cristian Gafton <gafton@redhat.com>
- manhattan rebuild
- added sample config files in /etc/uucp

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups
- added install-info support
- uses a build root

* Fri Oct 10 1997 Erik Troan <ewt@redhat.com>
- patched uureroute to find perl in /usr/bin instead of /usr/local/bin
- made log files ghosts

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Brian Candler fixed /usr/lib/uucp/uucico symlink
- Added "create" entries to log file rotation configuration
- Touch log files on install if they don't already exist to allow proper
  rotation

* Tue Mar 25 1997 Erik Troan <ewt@redhat.com>
- symlinked /usr/sbin/uucico into /usr/lib/uucp
- (all of these changes are from Brian Candler <B.Candler@pobox.com>)
- sgid bit added on uucico so it can create lock files
- log files moved to /var/log/uucp/ owned by uucp (so uucico can create them)
- log rotation added
- uses /etc/uucp/oldconfig instead of /usr/lib/uucp for old config files
- package creates /etc/uucp and /etc/uucp/oldconfig directories
- man pages reference the correct locations for spool and config files

